/*************************************************************************************
3D Data Visualization – Data Visualiaztion of Game Sales
Created Mar 1, 2020
            
Tested in Processing 3.5.3
 
Author: Jingxuan Cao                         

Instruction for Interaction:

1) There is a controller in the left bottom corner, user can click the controller to
see each gener and year of the game.
2) There is a controller in the right bottom corner, user can click the controller to
see each regions' game sales, NA = North America EU = Europe JP = Japan GLB = Global market

Uses the following libraries: 

 *************************************************************************************/

import java.util.*;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import peasy.*;

int ld = 1000;

PeasyCam cam;

color _action = color(198, 40, 40);
color _adventure = color(173, 20, 87);
color _fighting = color(106, 27, 154);
color _misc = color(69, 39, 160);
color _platform = color(40, 53, 147);
color _puzzle = color(21, 101, 192);
color _racing = color(2, 119, 189);
color _role_play = color(0, 131, 143); //0, 131, 143
color _shooter = color(0, 105, 92);
color _simulation = color(158, 157, 36);
color _sports = color(249, 168, 37);
color _strategy = color(239, 108, 0);


void setup(){
  //displayWidth: 1280  displayHeight: 800
  size(displayWidth, displayHeight, P3D);
  
  set_camera();
  loadData();
  setlayer();
}

void draw(){
  background(0);
  
  circuitTree();
  text_label();
  
  push();
  translate(0,0,0);
  shape(layer_1, 0, 0);
  pop();
  
  push();
  translate(0,0,0);
  shape(layer_2, 0, 0);
  pop();
  
  push();
  translate(0,0,0);
  shape(layer_3,0,0);
  pop();
  
  push();
  translate(0,0,0);
  shape(layer_4,0,0);
  pop();
  
  key_press();
}
